package com.css.simulation.resource.server.infra.db.mysql.mapper;

import api.common.pojo.param.scene.SceneDeleteParam;
import api.common.pojo.param.scene.StandardsRegulationsParam;
import api.common.pojo.po.scene.StandardsRegulationsPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


@Mapper
public interface SceneStandardsRegulationsMapper {
    void saveStandardsRegulations(StandardsRegulationsPO params);
    void saveStandardsRegulationsList(List<StandardsRegulationsPO> list);
    List<StandardsRegulationsPO> queryStandardsRegulationsList(StandardsRegulationsParam params);
    List<StandardsRegulationsPO> queryStandardsRegulationsListByBq(StandardsRegulationsParam params);
    void deleteStandardsRegulations(StandardsRegulationsPO params);
    StandardsRegulationsPO queryStandardsRegulationsByName(StandardsRegulationsPO standardsRegulationsPO);
    List<StandardsRegulationsPO> selectAllByName(StandardsRegulationsPO standardsRegulationsPO);
    void updateStandardsRegulations(StandardsRegulationsPO params);
    void updateStandardsRegulationsList(List<StandardsRegulationsPO> list);
    List<StandardsRegulationsPO> queryStandardsRegulationsListByQx(StandardsRegulationsParam params);
    List<StandardsRegulationsPO> queryStandardsRegulationsListByBqAndQx(StandardsRegulationsParam params);
    List<String> queryRegulationType(String userId);
    StandardsRegulationsPO queryStandardsRegulationsById(String id);
    List<String> selectIdsByNames(@Param("list")List<String> list);
    void deleteBySceneNames(SceneDeleteParam sceneDeleteParam);
}
